package com.railway.web.controller.business.baseinfo;

import com.railway.business.baseinfo.domain.BasePreventForeign;
import com.railway.business.baseinfo.service.IBasePreventForeignService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.WebDataBinder;
import com.railway.common.core.controller.BaseController;
import com.railway.common.core.domain.AjaxResult;
import com.railway.common.core.page.TableDataInfo;
import javax.validation.Valid;
import java.util.List;

import javax.validation.Valid;

@Api(value = "rest/baseinfo/base/prevent/foreign", tags = "基础数据-九防台账-防异物")
@RestController
@Validated
@RequestMapping(value = "business/baseinfo/base/prevent/foreign")
public class BasePreventForeignController extends BaseController {
    @Autowired
    private IBasePreventForeignService basePreventForeignService;

    @ApiOperation(value = "新增")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody BasePreventForeign basePreventForeign) {
        return toAjax(basePreventForeignService.create(basePreventForeign));
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("/{ids}")
    public AjaxResult delete(@RequestParam String[] ids) {
        return toAjax(basePreventForeignService.delete(ids));
    }

    @ApiOperation(value = "更新")
    @PutMapping("/update")
    public AjaxResult update(@RequestBody @Valid BasePreventForeign basePreventForeign) {
        return toAjax(basePreventForeignService.update(basePreventForeign));
    }

    @ApiOperation(value = "单个")
    @GetMapping(value = {"/", "/{id}"})
    public AjaxResult getInfo(String id) {
        BasePreventForeign info = basePreventForeignService.getInfo(id);
        AjaxResult ajax = AjaxResult.success();
        ajax.put("info",info);
        return ajax;
    }

    @ApiOperation(value = "列表")
    @GetMapping(value = "list")
    public TableDataInfo getList(BasePreventForeign basePreventForeign) {
        startPage();
        List<BasePreventForeign> list = basePreventForeignService.getList(basePreventForeign);
        return getDataTable(list);
    }

}
